<?php

/*******************/
/* Themerex Charts */
/*******************/

// Building a diagram

function trex_diagram_builder($block_id = '', $block_style = '', $block_childs = array(), $radial_size = 256) {

	$output = '';
	
	if(empty($block_id)) {		
 	   $alphas = range('a', 'z');
   		for( $i = 0; $i < 12; $i++ ) {
   			$block_id .= $alphas[rand(0, 25)];
   		}
	}
	if(count($block_childs) > 0) {
		/* Circular style */
		if( $block_style == 'circular' ) {
			$output .= '<ul class="trex_bars_list">';
			foreach ($block_childs as $child) {
				$output .= '<li><span class="color" style="background-color: '.$child['color'].'"></span><span class="item_name">'.$child['title'].'</span></li>';
			}
			$output .= '</ul>';
			$output .= '<canvas id="canvas_'.$block_id.'" height="'.$radial_size.'" width="'.$radial_size.'"></canvas>';
			$output .= '<script>
			var doughnutData_'.$block_id.' = [';
			foreach ($block_childs as $child) {
				$output .= '{value:'.(int)$child['level'].', color: "'.$child['color'].'"},';
			}
			$output .= '];
			jQuery(document).ready(function(){
				animScrollCheck("'.$block_id.'", doughnutData_'.$block_id.');
			});	
			jQuery(window).scroll(function(){
				animScrollCheck("'.$block_id.'", doughnutData_'.$block_id.');
			})
			</script>';
			
		} 
		
		/* Bar style */
		else {
			foreach ($block_childs as $child) {
				$output .=	'<div class="diagram_item">';
				$output .=		'<div class="item_progressbar">';
				$output .=			'<span class="item_progress" data-width="'.$child['level'].'" style="background-color: '.$child['color'].'">';
				$output .=				'<span class="item_caption">'.$child['title'].'</span>';
				$output .=				'<span class="item_level">'.$child['level'].'</span>';
				$output .=			'</span>';
				$output .=		'</div>';
				$output .=	'</div>';
			}
		}
	}
	
	return $output;
	
}

// Strip <br> tags

if(!function_exists('themerex_chart_paragraph_fix')) {
	add_filter('the_content', 'themerex_chart_paragraph_fix');
	function themerex_chart_paragraph_fix($content) {   
		$content = str_replace(
			array('<p>[', '<br />[', '<br/>[', '<br>[', ']</p>', ']<br />', ']<br/>', ']<br>', "]\n</p>", "]\n<br />", "]\n<br/>", "]\n<br>"),
			array('[',    '[',       '[',      '[',     ']',     ']',       ']',      ']',     ']',       ']',         ']',        ']'),
			$content
		);
		return $content;
	}
}

?>