<?php
/**
* Plugin Name: Themerex Charts
* Plugin URI: http://themerex.net/charts/
* Description: Themerex Charts allows you to create circular or bar diagrams as a widget or a shortcode.
* Version: 1.0
* Author: Themerex
* Author URI: http://themerex.net
* License: GPL2
*/
 
 
// Including required files
 
require_once(dirname(__FILE__)."/chart-functions.php");
require_once(dirname(__FILE__)."/chart-widget/chart-widget.php");

if(!is_admin()) {
	add_action( 'wp_enqueue_scripts', 'trex_chart_scripts' );
}
if(is_admin()) {
	add_action( 'admin_head', 'chart_admin_styles' );
}

function trex_chart_scripts() {
	wp_enqueue_script( 'piechart', plugin_dir_url(__FILE__).'assets/Chart.min.js', array('jquery'), '1.0.0', false );
	wp_enqueue_script( 'chart-anims', plugin_dir_url(__FILE__).'assets/Chart.anims.js', array('jquery'), '1.0.0', false );
	wp_enqueue_style( 'themerex-charts',  plugin_dir_url(__FILE__) . 'assets/themerex-charts.css' );
}

function chart_admin_styles() {
	wp_enqueue_script( 'chart-backend-js', plugin_dir_url(__FILE__).'assets/backend.js', array('jquery'), '1.0.0', false );
	wp_enqueue_style( 'chart-admin-styles',  plugin_dir_url(__FILE__) . 'assets/chart-admin-styles.css' );
}

add_shortcode('chart', 'trex_sc_chart');

/*
[chart id="unique_id"]
	[chart_item title="any title" level="50%"]
[/chart]
*/

$trex_block_childs = array();

function trex_sc_chart($atts, $content=null){	
    extract(shortcode_atts(array(
		"style" => "",
		"id" => "",
		"title" => "",
		"size" => "256"
    ), $atts));
    
	global $trex_block_childs;
	$trex_block_childs = array();
	 
	$radial_size = $size;
	 
	$output = '';
	
	if(!empty($title)) {
		$output .= '<h2>'.$title.'</h2>';
	}
	$output .= do_shortcode($content);
	
	$output .= trex_diagram_builder($id, $style, $trex_block_childs, $radial_size);
	return '<div id="'.$id.'" class="trex_chart '.$style.'">'
			. $output
			. '</div>';
}

add_shortcode('chart_item', 'trex_sc_chart_item');

//[diagram_item]
function trex_sc_chart_item($atts, $content=null) {
	extract(shortcode_atts( array(
		"id" => "",
		"title" => "",
		"level" => "",
		"color" => ""
	), $atts));
	
	global $trex_block_childs;
	
	$trex_block_childs[] = array(
		'title' => $title,
		'level' => $level,
		'color' => $color
	);
	
	return '';
}
?>